summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2014-04-24 11:32:32 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2014-04-24 11:34:19 +0200
commit9d92e5bca1543be40270c288feb546df0382afee (patch)
tree9b0941cf4fd3a6b221397ea5bec6779e2d794d2b
parentbdc3bacff7e149933275fa4ecbc5644773ca12c5 (diff)
downloadpass-9d92e5bca1543be40270c288feb546df0382afee.tar.gz
pass-9d92e5bca1543be40270c288feb546df0382afee.tar.bz2
pass-9d92e5bca1543be40270c288feb546df0382afee.zip
Don't prompt for questions when stdin is not a tty.
Diffstat (limited to '')
-rwxr-xr-xsrc/password-store.sh5
-rw-r--r--tests/setup.sh6
-rwxr-xr-xtests/t0060-rm-tests.sh2
3 files changed, 6 insertions, 7 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 9e27763..657f0e5 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -35,6 +35,7 @@ git_commit() {
git commit $sign -m "$1"
}
yesno() {
+ [[ -t 0 ]] || return 0
local response
read -r -p "$1 [y/N] " response
[[ $response == [yY] ]] || exit 1
@@ -75,7 +76,7 @@ set_gpg_recipients() {
done < "$current"
}
agent_check() {
- [[ -n $GPG_AGENT_INFO ]] || yesno "$(cat <<-_EOF
+ [[ ! -t 0 || -n $GPG_AGENT_INFO ]] || yesno "$(cat <<-_EOF
You are not running gpg-agent. This means that you will
need to enter your password for each and every gpg file
that pass processes. This could be quite tedious.
@@ -559,7 +560,7 @@ cmd_copy_move() {
[[ -d $old_path || -d $new_path || $new_path =~ /$ ]] || new_path="${new_path}.gpg"
local interactive="-i"
- [[ $force -eq 1 ]] && interactive="-f"
+ [[ ! -t 0 || $force -eq 1 ]] && interactive="-f"
if [[ $move -eq 1 ]]; then
mv $interactive -v "$old_path" "$new_path" || exit 1
diff --git a/tests/setup.sh b/tests/setup.sh
index 334b367..779f14a 100644
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -38,10 +38,8 @@ chmod 700 "$GNUPGHOME"
GPG="gpg"
which gpg2 &>/dev/null && GPG="gpg2"
-# We don't want to use any running agent.
-# We want an agent to appear to pass to be running.
-# We don't need a real agent. Hence:
-[[ $GPG == "gpg2" ]] && export GPG_AGENT_INFO=" " || unset GPG_AGENT_INFO
+# We don't want any currently running agent to conflict.
+unset GPG_AGENT_INFO
KEY1="CF90C77B" # pass test key 1
KEY2="D774A374" # pass test key 2
diff --git a/tests/t0060-rm-tests.sh b/tests/t0060-rm-tests.sh
index fc38b3d..29fa34a 100755
--- a/tests/t0060-rm-tests.sh
+++ b/tests/t0060-rm-tests.sh
@@ -7,7 +7,7 @@ cd "$(dirname "$0")"
test_expect_success 'Test "rm" command' '
"$PASS" init $KEY1 &&
"$PASS" generate cred1 43 &&
- echo "y" | "$PASS" rm cred1 &&
+ "$PASS" rm cred1 &&
[[ ! -e $PASSWORD_STORE_DIR/cred1.gpg ]]
'
2006-12-16Make repo header a link to summary pageLars Hjemli2-1/+12 2006-12-16Move cgit_print_date into ui-shared, reuse in ui-summaryLars Hjemli4-20/+24 2006-12-16Add ui-commit.c + misc ui cleanupsLars Hjemli9-19/+140 2006-12-15Add a common commit parserLars Hjemli3-63/+75 2006-12-14Add simple pager to log pageLars Hjemli4-6/+37 2006-12-13Add separate makefile-rule to clear current cacheLars Hjemli1-2/+4 2006-12-13Remove implementation details from READMELars Hjemli1-53/+34 2006-12-13Small layout adjustments to summary and blob viewLars Hjemli3-5/+13 2006-12-13Add display of tree content w/ui-tree.cLars Hjemli9-8/+113 2006-12-12cache_lock: do xstrdup/free on lockfileLars Hjemli1-1/+2 2006-12-11Don't truncate valid cachefilesLars Hjemli3-4/+16 2006-12-11Move global variables + callback functions into shared.cLars Hjemli4-82/+86 2006-12-11Move functions for generic object output into ui-view.cLars Hjemli4-34/+43 2006-12-11Move log-functions into ui-log.cLars Hjemli5-111/+121 2006-12-11Move repo summary functions into ui-summary.cLars Hjemli4-47/+59 2006-12-11Move functions for repolist output into ui-repolist.cLars Hjemli5-70/+90 2006-12-11Move common output-functions into ui-shared.cLars Hjemli4-82/+99 2006-12-11Rename config.c to parsing.c + move cgit_parse_query from cgit.c to parsing.cLars Hjemli4-28/+29 2006-12-11Avoid infinite loops in caching layerLars Hjemli3-14/+31 2006-12-11Let 'make install' clear all cachefilesLars Hjemli1-0/+2 2006-12-11Fix cache algorithm loopholeLars Hjemli3-11/+16 2006-12-10Add version identifier in generated filesLars Hjemli2-9/+14 2006-12-10Add license file and copyright noticesLars Hjemli5-0/+372 2006-12-10Add caching infrastructureLars Hjemli9-28/+353